package org.simplericity.jettyconsole.jsp;

import org.simplericity.jettyconsole.api.JettyConsolePluginBase;
import org.eclipse.jetty.webapp.WebAppContext;

import java.util.Arrays;
import java.util.List;
import java.util.ArrayList;

/**
 */
public class JspPlugin extends JettyConsolePluginBase {


    public JspPlugin() {
        super(JspPlugin.class);
    }

    @Override
    public void beforeStart(WebAppContext context) {

        String[] current = context.getConfigurationClasses();

        List<String> cfn = new ArrayList<String>(Arrays.asList(current));
        cfn.add(EmbeddedJspConfiguration.class.getName());
        context.setConfigurationClasses(cfn.toArray(new String[cfn.size()]));
    }
}
